import request from '../utils/request'

//根据条件 查询注册用户列表
export function getUserList(data) {
  return request({
    url: `manage/user/list/info`,
    method: 'post',
    data
  })
}


//发送邮件给用户
export function sendMail(data) {
    return request({
      url: `manage/user/send/text/mail/message`,
      method: 'post',
      data
    })
  }

  
//获取单个用户详情
export function getUserDetails(data) {
    return request({
      url: `manage/user/get/user/info`,
      method: 'post',
      data
    })
  }

    
//用户详情曲线图
export function getUserLineChart(data) {
  return request({
    url: `manage/user/getMiningPowerInfo`,
    method: 'post',
    data
  })
}

    
//用户离线柱状图
export function getUserOnlineStatus(data) {
  return request({
    url: `manage/user/getMinerUserOnlineStatus`,
    method: 'post',
    data
  })
}